(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// stage content:
(lib.hiraganaSHO = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1 copy 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CCCCCC").s().p("AgRAJQgggJAbgKQAdgFAbAAIACAAQgCAPgLAQQgSgGgWgBg");
	this.shape.setTransform(33.1,21.7);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CCCCCC").s().p("AAeAcIgDgCIgRgHQgHgHgNgDQgWgJghgBQgggLAbgLQAggFAaAAQAtAAAyAcQgUAdgSAAIgPgBg");
	this.shape_1.setTransform(37.9,23);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AA7BHIAAAAIABAAIgBAAgAA0AJIgwgXIgQgHQgHgIgPgCQgVgLghgCQgggLAbgKQAfgFAbgBQA+AABFA1QASAOgNAXQgHADgIABQgIAAgagOg");
	this.shape_2.setTransform(40.2,27.2);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CCCCCC").s().p("AAFAcQAGhYhjgGQgggKAbgLQAfgFAbAAQA+AABFA1QAVAQgVAeQgLAQgKAwIgEAUIhFACIADhBg");
	this.shape_3.setTransform(40.2,29.4);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CCCCCC").s().p("AAOD7IgOgIIAAjIQAAhTAFhaQAGhahjgGQgggKAbgLQAfgFAbAAQA+AABFA1QAVAQgVAgQgLAQgKAwQgLAvAABDIAADeQgPAEgJAAQgOAAgMgCg");
	this.shape_4.setTransform(40.2,45.4);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CCCCCC").s().p("AADGYQgDgYAAgbIAAnWQAAhWAFhaQAGhahjgFQgggLAbgLQAfgFAbAAQA+AABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiIABAbQgfAhgCAAQgPAAgOgEg");
	this.shape_5.setTransform(40.2,61.3);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AgSGxQg1g7AAhvIAAnXQAAhVAFhaQAGhbhlgFQgggLAbgKQAfgGAbAAQBAAABDA1QAVAQgVAgQgLAQgKAwQgJAwAABFIAAHhQAABgAeAlQAvA1BuAAQgIAjgUAdQhtgGg9hEg");
	this.shape_6.setTransform(47.5,70.7);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CCCCCC").s().p("AiZGwQg1g6AAhwIAAnWQAAhWAFhaQAGhahlgFQgggLAbgLQAfgFAbAAQBAAABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiQAABfAgAmQAwA1BtAAQCMAABug0QALAcAHAaQh2A+igAAQh5AAhFhLg");
	this.shape_7.setTransform(61,70.8);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#CCCCCC").s().p("AjdGwQg1g6AAhwIAAnWQAAhWAFhaQAGhahlgFQgggLAbgLQAfgFAbAAQBAAABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiQAABfAgAmQAwA1BvAAQCYAAB1hAQAugYAxghIATAPQALAIAHAJQg8Ayg9AiQh6BFioAAQh7AAhFhLg");
	this.shape_8.setTransform(67.8,70.8);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CCCCCC").s().p("AkLGwQg1g6AAhwIAAnWQAAhWAFhaQAGhahlgFQgggLAbgLQAfgFAbAAQBAAABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiQAABfAgAmQAwA1BvAAQCYAAB1hAQBgg0BuhXIATAcQhrBuhrA8Qh6BFioAAQh7AAhFhLg");
	this.shape_9.setTransform(72.4,70.8);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AkwGwQg1g6AAhwIAAnWQAAhWAFhaQAGhahlgFQgggLAbgLQAfgFAbAAQBAAABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiQAABfAgAmQAwA1BvAAQCYAAB1hAQCAhFCaiEQAVgLgFAVQiQCqiPBQQh6BFioAAQh7AAhFhLg");
	this.shape_10.setTransform(76.1,70.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_10}]},26).wait(1));

	// YO1
	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CCCCCC").s().p("AhxDDIAAAAIAAAAgAA7iyIgCgCIgFgJQAAgDAFgCQAaAEAfACQgBAOgOAOQgagFgOgNg");
	this.shape_11.setTransform(160.4,75.5);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CCCCCC").s().p("AiODDIAAAAIAAAAgACIiZQhMAAgegZIgCgCIgFgJQAAgDAFgCQApAIA4gBIAPAAQADAHAAAGQAAAJgHAMg");
	this.shape_12.setTransform(163.3,75.5);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CCCCCC").s().p("AiuDDIABAAIAAAAgAAAixIgBgCIgGgJQABgDAFgCQAmAHA4AAQArAAAfgIQAIARAAAJQAAAFgDAHQgpAEgbAAQhLAAgdgZg");
	this.shape_13.setTransform(166.5,75.4);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CCCCCC").s().p("AjDDLIABAAIAAAAgAgUipIgCgCIgFgJQAAgDAFgCQAmAHA4AAQBHAAAlgXIAEgCIAHAPIAFAWQgEAHgIAJQg/AFgmABQhLAAgcgZg");
	this.shape_14.setTransform(168.6,74.6);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AjiDOIAAgBIAAABgAg0inIgCgCIgFgJQAAgDAFgCQApAHA2AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhKAAgegZg");
	this.shape_15.setTransform(171.7,74.4);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CCCCCC").s().p("AjiEgIAAgBIAAABgAg0hVIgCgCIgFgJQAAgDAFgCQApAHA2AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhKAAgegZgAitkNQgaAAAWgPIAggDIABAFQAAAIgGAHQgKgCgNAAg");
	this.shape_16.setTransform(171.7,66.2);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CCCCCC").s().p("AjiEgIAAAAIAAAAgAg0hVIgCgCIgFgJQAAgDAFgCQApAIA2gBQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiAEQhkALg0AAQhKAAgegZgAgojiQgQgBgUgIQgQgHgHgGQgOgMgYgFIgHAAQgNgDgQAAQgagBAWgPQAXgDAdAAQAtAAAhAeQATAPgKAQIgCAAg");
	this.shape_17.setTransform(171.7,66.2);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CCCCCC").s().p("AjiEgIAAAAIAAAAgAg2hWIABAWQgMgHgPgCIgUgFIgDhiQAAg4gLgOQgPgXgsABQgagBAWgPQAXgDAdAAQAtAAAhAeQAXASgTATQgLALAABsQApAIA2gBQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiAEQhkALg0AAQhMAAgegag");
	this.shape_18.setTransform(171.7,66.2);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#CCCCCC").s().p("AjiEgIAAAAIAAAAgAg8BaQgJAAgagLIgIj/QAAg4gLgOQgPgXgsABQgagBAWgPQAXgDAdAAQAtAAAhAeQAXASgTATQgLALAABsQApAIA2gBQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiAEQhkALg0AAQhMAAgegaIAGCwg");
	this.shape_19.setTransform(171.7,66.2);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CCCCCC").s().p("AhbErIAAgMIgCAAIAAgIIAAgRIAAgJIACAAQgEjfgIjdQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgEAdAAQAtAAAhAfQAXASgTATQgLALAABsQApAHA2AAQBGAAAlgXQAXgKAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhMAAgegaQAHCzAEC3IgBAGIACAFQgCAIAAAIQAAAFACAFIgBAAIAAAAIgPAGQgRAAgQgFgAjiEQIAAAAIAAAAg");
	this.shape_20.setTransform(171.7,67.7);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#CCCCCC").s().p("AjJF1IAAgBQgEgLAAgEQAAgEAHgKQA5gCAbgbQAagagDhHIgCAAIAAgHIAAgSIAAgIIACAAQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAhAeQAXASgTATQgLALAABsQApAHA2AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhMAAgegaQAHC0AEC2IgBAGIACAGQgCAHAAAIQAAAGACAFIgBgBQAABLgaAaQgtAshRAAIgGAAgAjiDLIAAgBIAAABg");
	this.shape_21.setTransform(171.7,74.7);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("#CCCCCC").s().p("AkNFJQgZgagEgbQAEgEADgBQAKgCANADQACATATATQAiAhBOAAQA/AAAegdQAagagEhHIgBAAIAAgHIAAgSIAAgIIABAAQgDjegIjfQAAg4gLgOQgPgXgtAAQgaAAAXgPQAWgDAeAAQAsAAAgAeQAWASgTATQgLALAABsQApAHA4AAQBHAAAlgWQAWgLAPAHQAiATADAHQAPATghADQhlAMg0AAQhOAAgegaQAIC0ADC2IAAAGIABAGQgBAHAAAIQAAAGABAFIgBgBQAABLgaAaQgqAshSAAQhkAAgtgsgAibDLIABgBIAAABg");
	this.shape_22.setTransform(164.6,74.7);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("#CCCCCC").s().p("AkNFJQgdgeAAgiQAAgaAWgWQAigiBXgGQADAGAAAKIgCAKQhJADgbAaQgPAPAAASQAAAXAXAWQAhAhBOAAQBAAAAdgdQAagagDhHIgCAAIAAgHIAAgSIAAgIIACAAQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAfAeQAXASgTATQgLALAABsQApAHA4AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhOAAgegaQAHC0AEC2IgBAGIACAGQgCAHAAAIQAAAGACAFIgBgBQAABLgaAaQgrAshRAAQhlAAgtgsg");
	this.shape_23.setTransform(164.5,74.7);

	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#CCCCCC").s().p("AkNFJQgdgeAAgiQAAgaAWgWQApgpBzAAQA0AAAxAIQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAfAeQAXASgTATQgLALAABsQApAHA4AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhOAAgegaQAHC0AEC2IgBAGIACAGQgCAHAAAIQAAAGACAFIgBgBQAABLgaAaQgrAshRAAQhlAAgtgsgAj+DoQgPAPAAASQAAAXAXAWQAhAhBOAAQBAAAAdgdQAagagDhHQhHgPgtAAQhZAAgeAeg");
	this.shape_24.setTransform(164.5,74.7);

	this.shape_25 = new cjs.Shape();
	this.shape_25.graphics.f("#CCCCCC").s().p("AkNFJQgdgeAAgiQAAgaAWgWQApgpBzAAQA0AAAxAIQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAfAeQAXASgTATQgLALAABsQApAHA4AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhOAAgegaQAHC0AEC2QA0AMAvAOQgFAOgKARIgDAFQgpgPgogKQAABLgaAaQgrAshRAAQhlAAgtgsgAj+DoQgPAPAAASQAAAXAXAWQAhAhBOAAQBAAAAdgdQAagagDhHQhHgPgtAAQhZAAgeAeg");
	this.shape_25.setTransform(164.5,74.7);

	this.shape_26 = new cjs.Shape();
	this.shape_26.graphics.f("#CCCCCC").s().p("AkNFJQgdgeAAgiQAAgaAWgWQApgpBzAAQA0AAAxAIQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAfAeQAXASgTATQgLALAABsQApAHA4AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhOAAgegaQAHC0AEC2QBpAZBXAfIABALQAAAKgQAcQhbgwhWgUQAABLgaAaQgrAshRAAQhlAAgtgsgAj+DoQgPAPAAASQAAAXAXAWQAhAhBOAAQBAAAAdgdQAagagDhHQhHgPgtAAQhZAAgeAeg");
	this.shape_26.setTransform(164.5,74.7);

	this.shape_27 = new cjs.Shape();
	this.shape_27.graphics.f("#CCCCCC").s().p("AkNFJQgdgeAAgiQAAgaAWgWQApgpBzAAQA0AAAxAIQgEjegIjfQAAg4gLgOQgPgXgsAAQgaAAAWgPQAXgDAdAAQAtAAAfAeQAXASgTATQgLALAABsQApAHA4AAQBGAAAlgWQAXgLAOAHQAiATAEAHQAPATgiADQhkAMg0AAQhOAAgegaQAHC0AEC2QCJAgBqAsIACAWQABATgLAVQh6hKhxgbQAABLgaAaQgrAshRAAQhlAAgtgsgAj+DoQgPAPAAASQAAAXAXAWQAhAhBOAAQBAAAAdgdQAagagDhHQhHgPgtAAQhZAAgeAeg");
	this.shape_27.setTransform(164.5,74.7);

	this.shape_28 = new cjs.Shape();
	this.shape_28.graphics.f("#CCCCCC").s().p("AkbFJQgegeAAgiQAAgaAWgWQApgpB0AAQA0AAAwAIQgDjegIjfQAAg4gLgOQgPgXgtAAQgaAAAXgPQAWgDAeAAQAsAAAgAeQAWASgTATQgLALAABsQApAHA4AAQBHAAAlgWQAWgLAPAHQAiATADAHQAPATghADQhlAMg0AAQhOAAgegaQAIC0ADC2QCOAhBsAtQAdgEALAbQAMAOAAAaQAAAmglgXQiKhZh/geQAABLgYAaQgsAshSAAQhkAAgtgsgAkMDoQgPAPAAASQAAAXAWAWQAiAhBOAAQA/AAAegdQAagagEhHQhHgPgsAAQhZAAgeAeg");
	this.shape_28.setTransform(166,74.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[]},15).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_16}]},5).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_21}]},1).to({state:[{t:this.shape_22}]},1).to({state:[{t:this.shape_23}]},1).to({state:[{t:this.shape_24}]},1).to({state:[{t:this.shape_25}]},1).to({state:[{t:this.shape_26}]},1).to({state:[{t:this.shape_27}]},1).to({state:[{t:this.shape_28}]},1).wait(1));

	// YO2
	this.shape_29 = new cjs.Shape();
	this.shape_29.graphics.f("#666666").s().p("AkbFJQgegeAAgiQAAgaAWgWQApgpB0AAQA0AAAwAIQgDjegIjfQAAg4gLgOQgPgXgtAAQgaAAAXgPQAWgDAeAAQAsAAAgAeQAWASgTATQgLALAABsQApAHA4AAQBHAAAlgWQAWgLAPAHQAiATADAHQAPATghADQhlAMg0AAQhOAAgegaQAIC0ADC2QCOAhBsAtQAdgEALAbQAMAOAAAaQAAAmglgXQiKhZh/geQAABLgYAaQgsAshSAAQhkAAgtgsgAkMDoQgPAPAAASQAAAXAWAWQAiAhBOAAQA/AAAegdQAagagEhHQhHgPgsAAQhZAAgeAeg");
	this.shape_29.setTransform(166,74.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_29}]}).to({state:[{t:this.shape_29}]},15).to({state:[{t:this.shape_29}]},23).wait(1));

	// Layer 1 copy
	this.shape_30 = new cjs.Shape();
	this.shape_30.graphics.f("#666666").s().p("AkwGwQg1g6AAhwIAAnWQAAhWAFhaQAGhahlgFQgggLAbgLQAfgFAbAAQBAAABFA1QAVAQgVAgQgLAQgKAwQgLAvAABFIAAHiQAABfAgAmQAwA1BvAAQCYAAB1hAQCAhFCaiEQAVgLgFAVQiQCqiPBQQh6BFioAAQh7AAhFhLg");
	this.shape_30.setTransform(76.1,70.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_30}]}).to({state:[{t:this.shape_30}]},11).to({state:[]},1).wait(27));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(29.5,20,167.9,101.5);


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,320,240);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;